ChangeSet 1.1265, 2003/06/18 17:21:26-07:00, vojtech@suse.cz

[PATCH] USB: Fix HID logical min/max for 2.4

Some UPSes have logical minimum and maximum value in HID descriptors the
same. The HID driver rejects such devices. This patch fixes this. Please
apply for 2.4, I'll take care of a 2.5 patch.


 drivers/usb/hid-core.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/hid-core.c b/drivers/usb/hid-core.c
--- a/drivers/usb/hid-core.c	Wed Jun 18 17:34:37 2003
+++ b/drivers/usb/hid-core.c	Wed Jun 18 17:34:37 2003
@@ -233,7 +233,7 @@
 		return -1;
 	}
 
-	if (parser->global.logical_maximum <= parser->global.logical_minimum) {
+	if (parser->global.logical_maximum < parser->global.logical_minimum) {
 		dbg("logical range invalid %d %d", parser->global.logical_minimum, parser->global.logical_maximum);
 		return -1;
 	}
